Bug 53565 - EDITING: after 'load - styles - from file' new draw objects can not be selected
Summary: EDITING: after 'load - styles - from file' new draw objects can not be selected
Status: NEW
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Writer (show other bugs)
Version:
(earliest affected)
Inherited From OOo
Hardware: Other All
: medium normal
Assignee: Not Assigned
URL:
Whiteboard: BSA
Keywords:
Depends on:
Blocks: Styles-Load
  Show dependency treegraph
 
Reported: 2012-08-16 00:53 UTC by allencch
Modified: 2021-12-03 04:26 UTC (History)
3 users (show)

See Also:
Crash report or crash signature:
Regression By:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description allencch 2012-08-16 00:53:42 UTC
Problem description:
After using load styles, any objects created by draw function are not selectable.

Steps to reproduce:
1. Create an empty document, namely A.
2. Save it.
3. Create another document, namely B.
4. Using "Styles and Formatting" > "Load Styles...", choose the document A
5. Use the "Draw Functions", create anything.
6. Click anywhere to deselect the object.
7. Try to click the object again, but failed.

Current behavior:
Cannot select the objects any more, thus cannot delete or edit or move.

Expected behavior:
Can select, edit, delete, move the draw objects.
              
Browser: Mozilla/5.0 (X11; Linux i686; rv:14.0) Gecko/20100101 Firefox/14.0.1
Comment 1 Lucas Betschart 2012-12-16 19:36:00 UTC
Confirmed with Version 4.0.0.0.beta1 (Build ID: 87906242e87d3ddb2ba9827818f2d1416d80cc7).
Comment 2 Rainer Bielefeld Retired 2012-12-20 14:05:11 UTC
[Reproducible] with Server Installation of "LibreOffice 3.3.3  German UI/Locale [OOO330m19 (Build:301) tag libreoffice-3.3.3.1] on German WIN7 Home Premium (64bit) 

I additionally inserted a step 3.1 and created a smiley. This smiley will stay accessible after step 6, but all draw elements (text boxes, outlines, ...) can't be accessed (selected) after creation. You have to close and reopen the document to get access to the new elements. 

That was ok with OOo 3.1.1, but already broken in OOo 3.4.0. So I expect that problem is inherited from OOo.
Comment 3 QA Administrators 2015-01-05 17:52:23 UTC Comment hidden (obsolete)
Comment 4 Buovjaga 2015-01-28 18:42:24 UTC
Reproduced.

Win 7 Pro 64-bit Version: 4.5.0.0.alpha0+
Build ID: 784d069cc1d9f1d6e6a4e543a278376ab483d1eb
TinderBox: Win-x86@62-TDF, Branch:MASTER, Time: 2015-01-25_23:07:36
Comment 5 QA Administrators 2016-02-21 08:37:46 UTC Comment hidden (obsolete)
Comment 6 allencch 2016-02-21 14:50:52 UTC
Reproducible.

LibreOffice Version: 5.1.0.3
Build ID: 5.1.0.3 Arch Linux build-1
CPU Threads: 4; OS Version: Linux 4.4
Arch Linux kernel 4.4.1
Comment 7 QA Administrators 2017-03-06 16:00:16 UTC Comment hidden (obsolete)
Comment 8 QA Administrators 2019-12-03 14:05:04 UTC Comment hidden (obsolete)
Comment 9 QA Administrators 2021-12-03 04:26:43 UTC
Dear allencch,

To make sure we're focusing on the bugs that affect our users today, LibreOffice QA is asking bug reporters and confirmers to retest open, confirmed bugs which have not been touched for over a year.

There have been thousands of bug fixes and commits since anyone checked on this bug report. During that time, it's possible that the bug has been fixed, or the details of the problem have changed. We'd really appreciate your help in getting confirmation that the bug is still present.

If you have time, please do the following:

Test to see if the bug is still present with the latest version of LibreOffice from https://www.libreoffice.org/download/

If the bug is present, please leave a comment that includes the information from Help - About LibreOffice.
 
If the bug is NOT present, please set the bug's Status field to RESOLVED-WORKSFORME and leave a comment that includes the information from Help - About LibreOffice.

Please DO NOT

Update the version field
Reply via email (please reply directly on the bug tracker)
Set the bug's Status field to RESOLVED - FIXED (this status has a particular meaning that is not 
appropriate in this case)


If you want to do more to help you can test to see if your issue is a REGRESSION. To do so:
1. Download and install oldest version of LibreOffice (usually 3.3 unless your bug pertains to a feature added after 3.3) from https://downloadarchive.documentfoundation.org/libreoffice/old/

2. Test your bug
3. Leave a comment with your results.
4a. If the bug was present with 3.3 - set version to 'inherited from OOo';
4b. If the bug was not present in 3.3 - add 'regression' to keyword


Feel free to come ask questions or to say hello in our QA chat: https://web.libera.chat/?settings=#libreoffice-qa

Thank you for helping us make LibreOffice even better for everyone!

Warm Regards,
QA Team

MassPing-UntouchedBug